QGIS Application - Bug report #12202

Exported SVG layers should have consistent bounds

2015-02-13 10:32 PM - Corey Burger

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.6.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 20391

Description

When exporting out to SVG, each layer has a different bounding box. This makes it difficult to correctly align layers after the fact. In
comparison, exporting from ArcMap to lllustrator, each layer has a consistent clipping path, which has two major advantages:

1. It is easy to realign layers if they accidentally shift out of position in Inkscape

2. Switching layers with new data is easy, as the bounding box remains constant

ArcMap/lllustrator accomplishes this with clipping paths (which | know is a long-standing Qi bug). Until that is solved, | would recommend

that QGIS at least create a blank rectangle the same size as the map extent, so that it could be used to create this consistent bounding

box

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
